Download MetaTrader 5
To add comments, please log in or register
Install apps from the library right in MetaTrader. It is easy!
andresnedy
14
andresnedy 2016.08.25 21:51 

HI, i am having issues updating different MTMs from Build 840 to 971, the platform simply says "old version", no auto-update ever pops up.

I work for an IB, we use about 50 different MTMs on a daily basis.  Several of us are having this issue.  We realize that reinstalling everything would fix the problem, but it would be much more convenient to have the already-installed MTMs updated, with the saved information (Login, PW, Server, report groups, etc) still available.

Any help is appreciated, thank you for your time.

Fernando Carreiro
1468
Fernando Carreiro 2016.08.25 22:41  

EDIT: Please note that the following instructions are for the standard Terminal an not the MultiTerminal the OP references.
However, similar steps may be applicable to a MultiTerminal environment, but I am unfamiliar with it.

Are you perhaps using the "/skipupdate" option which prevents such updates.

Either way, here is a easy way to update many setups at once, that is faster than the LiveUpdate.

  1. On another machine (or on the same one), install a separate fresh new installation of MetaTrader . You only need to do this once. Any standard major broker will do, or use the MetaQuotes download.
  2. Hopefully it will install the latest build but if not. just restart it so that it will update to the latest build (if using the MetaQuotes download, you will have to define an account to login, or else it will not update).
  3. From this single new fresh install (with the latest build), make a copy of the following files:
    1. "terminal.exe"
    2. "metaeditor.exe"
  4. Now just copy these 2 files to every setup you have (you could even automate this for future use). Make sure that these setups are closed before doing this.
  5. Now, when you start those setups again, it will automatically refresh any MQL files that need to be updated and all source files will be recompiled as well.

For future use, you can keep this setup always updated in order to repeat steps 3-5 when a new update is delivered to this separate setup.

This method is also very useful, when all your other setups are using the "/skipupdate" option to prevent untimely LiveUpdates before you have had a chance to test them.
Carl Schreiber
5947
Carl Schreiber 2016.08.26 07:19  

Or your version could be to old to be updated (?) or your broker still does not provide yet the updated version..

Install a new terminal (b1000+?) copy everything (? not tested!!) and connect to your account.

Ovo Cz
2950
Ovo Cz 2016.08.26 09:06  
FMIC:

Are you perhaps using the "/skipupdate" option which prevents such updates.

Either way, here is a easy way to update many setups at once, that is faster than the LiveUpdate.

  1. On another machine (or on the same one), install a separate fresh new installation of MetaTrader . You only need to do this once. Any standard major broker will do, or use the MetaQuotes download.
  2. Hopefully it will install the latest build but if not. just restart it so that it will update to the latest build (if using the MetaQuotes download, you will have to define an account to login, or else it will not update).
  3. From this single new fresh install (with the latest build), make a copy of the following files:
    1. "terminal.exe"
    2. "metaeditor.exe"
  4. Now just copy these 2 files to every setup you have (you could even automate this for future use). Make sure that these setups are closed before doing this.
  5. Now, when you start those setups again, it will automatically refresh any MQL files that need to be updated and all source files will be recompiled as well.

For future use, you can keep this setup always updated in order to repeat steps 3-5 when a new update is delivered to this separate setup.

This method is also very useful, when all your other setups are using the "/skipupdate" option to prevent untimely LiveUpdates before you have had a chance to test them.
I am not sure if the Multiterminal has those files. As far as I remember, there is neither support for the MQL.
Fernando Carreiro
1468
Fernando Carreiro 2016.08.26 09:55  
Ovo:
I am not sure if the Multiterminal has those files. As far as I remember, there is neither support for the MQL.
Sorry, in my haste, I did not realize the OP was talking about the MultiTerminal and not the standard Terminal. I have corrected my post accordingly!
Ovo Cz
2950
Ovo Cz 2016.08.26 10:24  
FMIC:
Sorry, in my haste, I did not realize the OP was talking about the MultiTerminal and not the standard Terminal. I have corrected my post accordingly!
No problem, it was his fault he did not type the name in full.
andresnedy
14
andresnedy 2016.08.26 12:40  

Thank you all for your help and please apologize if i mislead anyone using acronyms.  When i said "MTM", i was actually referring to the Meta Trader Manager; not the multi terminal.  I realize most people are not familiar with this terminal, so i hoped to find someone able to help me out here in the forum.  I tried a google search on the subject but could not find any useful information.

As gooly said, it seems the terminals may be too old to update.  When starting the terminal, error 108 displays: "connection failed (old version)".  I've seen this error before but i always had the option to auto update. Now this option doesn't seem to be available. It seems i have no option other than reinstall everything.

Thank you all for your time.

Fernando Carreiro
1468
Fernando Carreiro 2016.08.26 13:00  
andresnedy:

Thank you all for your help and please apologize if i mislead anyone using acronyms.  When i said "MTM", i was actually referring to the Meta Trader Manager; not the multi terminal.  I realize most people are not familiar with this terminal, so i hoped to find someone able to help me out here in the forum.  I tried a google search on the subject but could not find any useful information.

As gooly said, it seems the terminals may be too old to update.  When starting the terminal, error 108 displays: "connection failed (old version)".  I've seen this error before but i always had the option to auto update. Now this option doesn't seem to be available. It seems i have no option other than reinstall everything.

Thank you all for your time.

The MetaTrade Manager is a backoffice tool (for brokers, etc.) that is not available to us users, so this forum is definitely not the right place to post your query.

I think you should contact the MetaQuotes Service Desk or use whatever means are available for Brokers!

andresnedy
14
andresnedy 2016.08.31 14:33  
Contacting MetaQuotes directly can be a hassle, but i will give it a shot.   Thank you all for your help.
/
To add comments, please log in or register